summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Bruno Queiros2019-11-23 00:50:51 +0100
committer Willy Sudiarto Raharjo2019-11-23 00:50:51 +0100
commit07a4c06665417ea6d2ca94037303d032f094dfcd (patch)
treedf3ad2339850238c98a62e57c51b5c20b4e5e37c
parenteecaf53db892350596041f1fedba9ea2270d4565 (diff)
downloadslackbuilds-07a4c06665417ea6d2ca94037303d032f094dfcd.tar.gz
development/sublime_merge: Added (A git client for Sublime Text).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/sublime_merge/README5
-rw-r--r--development/sublime_merge/doinst.sh9
-rw-r--r--development/sublime_merge/slack-desc19
-rw-r--r--development/sublime_merge/sublime_merge.SlackBuild82
-rw-r--r--development/sublime_merge/sublime_merge.desktop13
-rw-r--r--development/sublime_merge/sublime_merge.info10
6 files changed, 138 insertions, 0 deletions
diff --git a/development/sublime_merge/README b/development/sublime_merge/README
new file mode 100644
index 0000000000..55852aec0b
--- /dev/null
+++ b/development/sublime_merge/README
@@ -0,0 +1,5 @@
+Sublime Merge is a Git Client from the makers of Sublime Text.
+
+Sublime Merge may be downloaded and evaluated for free, however a
+license must be purchased for continued use. There is currently no
+enforced time limit for the evaluation.
diff --git a/development/sublime_merge/doinst.sh b/development/sublime_merge/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/development/sublime_merge/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/development/sublime_merge/slack-desc b/development/sublime_merge/slack-desc
new file mode 100644
index 0000000000..0a43a2d593
--- /dev/null
+++ b/development/sublime_merge/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sublime_merge: sublime_merge (A git client for Sublime Text)
+sublime_merge:
+sublime_merge: Sublime Merge is a new Git Client, from the makers of Sublime Text.
+sublime_merge:
+sublime_merge:
+sublime_merge: For more information, visit http://www.sublimemerge.com/
+sublime_merge:
+sublime_merge:
+sublime_merge:
+sublime_merge:
+sublime_merge:
diff --git a/development/sublime_merge/sublime_merge.SlackBuild b/development/sublime_merge/sublime_merge.SlackBuild
new file mode 100644
index 0000000000..83fc67ef8d
--- /dev/null
+++ b/development/sublime_merge/sublime_merge.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for Sublime Merge
+# Builds a Slackware package from the Sublime Merge binary tarballs.
+# Anyone can freely modify and/or distribute this script without restrictions
+#
+# Originally written by Luke Williams (xocel@iquidus.org)
+# Currently maintained by Bruno Queiros (bqueiros@gmail.com)
+
+PRGNAM=sublime_merge
+VERSION=${VERSION:-1119}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+TARBALL_x86_64="sublime_merge_build_1119_x64.tar.xz" # Name of 64bit tarball
+TARBALL_ROOT="sublime_merge" # Name of tarballs root directory
+
+# Set LIBDIRSUFFIX and TARBALL.
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ TARBALL="$TARBALL_x86_64"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf "$TARBALL_ROOT"
+tar -xvf "$CWD/$TARBALL"
+cd "$TARBALL_ROOT"
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -a * $PKG/opt/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/bin
+ln -sf /opt/$PRGNAM/sublime_text $PKG/usr/bin
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+install -D -m0644 Icon/48x48/sublime-merge.png $PKG/usr/share/pixmaps/${PRGNAM}.png
+
+for size in 16x16 32x32 48x48 128x128 256x256 ; do
+ mkdir -p $PKG/usr/share/icons/hicolor/$size/apps
+ ln -s /opt/$PRGNAM/Icon/$size/sublime-merge.png \
+ $PKG/usr/share/icons/hicolor/$size/apps/ ;
+done
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/sublime_merge/sublime_merge.desktop b/development/sublime_merge/sublime_merge.desktop
new file mode 100644
index 0000000000..8a744573e4
--- /dev/null
+++ b/development/sublime_merge/sublime_merge.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=Sublime Merge
+GenericName=Git Client
+Comment=Sublime Merge is a Git client, from the makers of Sublime Text
+Exec=/opt/sublime_merge/sublime_merge %F
+Terminal=false
+MimeType=text/plain;
+Icon=sublime-merge
+Categories=Development;
+StartupNotify=true
+Actions=Window;Document;
diff --git a/development/sublime_merge/sublime_merge.info b/development/sublime_merge/sublime_merge.info
new file mode 100644
index 0000000000..bf85760433
--- /dev/null
+++ b/development/sublime_merge/sublime_merge.info
@@ -0,0 +1,10 @@
+PRGNAM="sublime_merge"
+VERSION="1119"
+HOMEPAGE="https://www.sublimemerge.com"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://download.sublimetext.com/sublime_merge_build_1119_x64.tar.xz"
+MD5SUM_x86_64="01457e71379dbd58e6b737a6c3c1dffc"
+REQUIRES=""
+MAINTAINER="Bruno Queiros"
+EMAIL="bqueiros@gmail.com"